io.agora.rtc

## Class AudioSessionConfig

- java.lang.Object
- - io.agora.rtc.AudioSessionConfig

-     public class AudioSessionConfig
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `allowBluetooth`
    `private int` | `allowBluetoothA2dp`
    `private int` | `allowMixWithOthers`
    `private int` | `chatMode`
    `private int` | `defaultToSpeaker`
    `private int` | `inputNumberOfChannels`
    `private double` | `ioBufferDuration`
    `private int` | `outputNumberOfChannels`
    `private int` | `overrideSpeaker`
    `private int` | `playbackAndRecord`
    `private double` | `sampleRate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioSessionConfig()`
    `AudioSessionConfig(int playbackAndRecord, int chatMode, int defaultToSpeaker, int overrideSpeaker, int allowMixWithOthers, int allowBluetooth, int allowBluetoothA2dp, double sampleRate, double ioBufferDuration, int inputNumberOfChannels, int outputNumberOfChannels)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAllowBluetooth()`
    `int` | `getAllowBluetoothA2dp()`
    `int` | `getAllowMixWithOthers()`
    `int` | `getChatMode()`
    `int` | `getDefaultToSpeaker()`
    `int` | `getInputNumberOfChannels()`
    `double` | `getIoBufferDuration()`
    `int` | `getOutputNumberOfChannels()`
    `int` | `getOverrideSpeaker()`
    `int` | `getPlaybackAndRecord()`
    `double` | `getSampleRate()`
    `void` | `setAllowBluetooth(int allowBluetooth)`
    `void` | `setAllowBluetoothA2dp(int allowBluetoothA2dp)`
    `void` | `setAllowMixWithOthers(int allowMixWithOthers)`
    `void` | `setChatMode(int chatMode)`
    `void` | `setDefaultToSpeaker(int defaultToSpeaker)`
    `void` | `setInputNumberOfChannels(int inputNumberOfChannels)`
    `void` | `setIoBufferDuration(double ioBufferDuration)`
    `void` | `setOutputNumberOfChannels(int outputNumberOfChannels)`
    `void` | `setOverrideSpeaker(int overrideSpeaker)`
    `void` | `setPlaybackAndRecord(int playbackAndRecord)`
    `void` | `setSampleRate(double sampleRate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### playbackAndRecord

          private int playbackAndRecord

    - #### chatMode

          private int chatMode

    - #### defaultToSpeaker

          private int defaultToSpeaker

    - #### overrideSpeaker

          private int overrideSpeaker

    - #### allowMixWithOthers

          private int allowMixWithOthers

    - #### allowBluetooth

          private int allowBluetooth

    - #### allowBluetoothA2dp

          private int allowBluetoothA2dp

    - #### sampleRate

          private double sampleRate

    - #### ioBufferDuration

          private double ioBufferDuration

    - #### inputNumberOfChannels

          private int inputNumberOfChannels

    - #### outputNumberOfChannels

          private int outputNumberOfChannels

  - ### Constructor Detail

    - #### AudioSessionConfig

          public AudioSessionConfig()

    - #### AudioSessionConfig

          public AudioSessionConfig(int playbackAndRecord,
                                    int chatMode,
                                    int defaultToSpeaker,
                                    int overrideSpeaker,
                                    int allowMixWithOthers,
                                    int allowBluetooth,
                                    int allowBluetoothA2dp,
                                    double sampleRate,
                                    double ioBufferDuration,
                                    int inputNumberOfChannels,
                                    int outputNumberOfChannels)

  - ### Method Detail

    - #### getPlaybackAndRecord

          public int getPlaybackAndRecord()

    - #### setPlaybackAndRecord

          public void setPlaybackAndRecord(int playbackAndRecord)

    - #### getChatMode

          public int getChatMode()

    - #### setChatMode

          public void setChatMode(int chatMode)

    - #### getDefaultToSpeaker

          public int getDefaultToSpeaker()

    - #### setDefaultToSpeaker

          public void setDefaultToSpeaker(int defaultToSpeaker)

    - #### getOverrideSpeaker

          public int getOverrideSpeaker()

    - #### setOverrideSpeaker

          public void setOverrideSpeaker(int overrideSpeaker)

    - #### getAllowMixWithOthers

          public int getAllowMixWithOthers()

    - #### setAllowMixWithOthers

          public void setAllowMixWithOthers(int allowMixWithOthers)

    - #### getAllowBluetooth

          public int getAllowBluetooth()

    - #### setAllowBluetooth

          public void setAllowBluetooth(int allowBluetooth)

    - #### getAllowBluetoothA2dp

          public int getAllowBluetoothA2dp()

    - #### setAllowBluetoothA2dp

          public void setAllowBluetoothA2dp(int allowBluetoothA2dp)

    - #### getSampleRate

          public double getSampleRate()

    - #### setSampleRate

          public void setSampleRate(double sampleRate)

    - #### getIoBufferDuration

          public double getIoBufferDuration()

    - #### setIoBufferDuration

          public void setIoBufferDuration(double ioBufferDuration)

    - #### getInputNumberOfChannels

          public int getInputNumberOfChannels()

    - #### setInputNumberOfChannels

          public void setInputNumberOfChannels(int inputNumberOfChannels)

    - #### getOutputNumberOfChannels

          public int getOutputNumberOfChannels()

    - #### setOutputNumberOfChannels

          public void setOutputNumberOfChannels(int outputNumberOfChannels)